Bug 33369 - Implement HTML5 <hgroup> element.
: Implement HTML5 <hgroup> element.
Status: RESOLVED FIXED
: WebKit
HTML DOM
: 528+ (Nightly build)
: Other Mac OS X 10.5
: P2 Normal
Assigned To:
: http://www.w3.org/TR/html5/semantics....
: HTML5
:
: 32934
  Show dependency treegraph
 
Reported: 2010-01-08 01:48 PST by
Modified: 2010-03-11 11:25 PST (History)


Attachments
Proposed patch (8.55 KB, patch)
2010-01-08 01:55 PST, Kent Tamura
no flags Review Patch | Details | Formatted Diff | Diff
Proposed patch (rev.2) (8.53 KB, patch)
2010-01-26 18:01 PST, Kent Tamura
abarth: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-01-08 01:48:34 PST
Implement HTML5 <hgroup> element.
------- Comment #1 From 2010-01-08 01:55:39 PST -------
Created an attachment (id=46119) [details]
hgroup-1
------- Comment #2 From 2010-01-08 01:58:51 PST -------
style-queue ran check-webkit-style on attachment 46119 [details] without any errors.
------- Comment #3 From 2010-01-26 14:36:55 PST -------
(From update of attachment 46119 [details])
The ChangeLog talks about <aside>?
------- Comment #4 From 2010-01-26 17:22:31 PST -------
(In reply to comment #3)
> The ChangeLog talks about <aside>?

Oh, silly copy&paste mistake. I'll update the patch...
------- Comment #5 From 2010-01-26 18:01:49 PST -------
Created an attachment (id=47477) [details]
Proposed patch (rev.2)
------- Comment #6 From 2010-02-01 15:27:39 PST -------
Every time I see this change in the review queue I skip over it becase I don't know what this is for or why we'd want it.  I guess I just need to read the html5 spec.
------- Comment #7 From 2010-03-05 13:46:06 PST -------
Could you explain in the bug what <hgroup> is and why we would want it?
------- Comment #8 From 2010-03-07 16:50:50 PST -------
(In reply to comment #7)
> Could you explain in the bug what <hgroup> is and why we would want it?

Because it is defined in HTML5. 
http://www.w3.org/TR/html5/semantics.html#the-hgroup-element

Though I feel the benefit of <hgroup>is less than other sectioning elements such as <section> <article> we already have, the example in the specification is reasonable and <hgroup> is not harmful.
------- Comment #9 From 2010-03-08 10:55:26 PST -------
(From update of attachment 47477 [details])
Sorry this took so long to review.  HTML5++.
------- Comment #10 From 2010-03-08 22:27:47 PST -------
Landed as r55710.
------- Comment #11 From 2010-03-08 23:41:32 PST -------
It appears this checkin broke the Gtk bot:
http://build.webkit.org/results/GTK%20Linux%2064-bit%20Release/r55710%20(589)/results.html

(Or possibly the Gtk bot simply got itself wedged).
------- Comment #12 From 2010-03-11 11:25:06 PST -------
(In reply to comment #11)
> It appears this checkin broke the Gtk bot:
> http://build.webkit.org/results/GTK%20Linux%2064-bit%20Release/r55710%20(589)/results.html
> 
> (Or possibly the Gtk bot simply got itself wedged).

Yes, looks like a temporary failure of the bot there, should be fixed now.